aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2012-02-19 10:57:58 +0100
committerFabian Groffen <grobian@gentoo.org>2012-02-19 10:57:58 +0100
commit5f0978d957aa3ad2a3e9806bde34947b167ae554 (patch)
treead113cb26c89ffc25e1924fcb926d1e9dcda1447 /runtests.sh
parent_post_phase_cmds: fix syntax (diff)
parent_eventloop: use explicit relative imports (diff)
downloadportage-5f0978d957aa3ad2a3e9806bde34947b167ae554.tar.gz
portage-5f0978d957aa3ad2a3e9806bde34947b167ae554.tar.bz2
portage-5f0978d957aa3ad2a3e9806bde34947b167ae554.zip
Merge remote-tracking branch 'overlays-gentoo-org/master' into prefix
Conflicts: runtests.sh
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/runtests.sh b/runtests.sh
index 1d584a12a..1c3d3c3f1 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -1,8 +1,8 @@
#!@PORTAGE_BASH@
-# Copyright 2010-2011 Gentoo Foundation
+# Copyright 2010-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-PYTHON_VERSIONS="2.6 2.7 3.1 3.2 3.3"
+PYTHON_VERSIONS="2.6 2.7 2.7-pypy-1.8 3.1 3.2 3.3"
# has to be run from portage root dir
cd "${0%/*}" || exit 1
@@ -47,11 +47,17 @@ done
set -- "${unused_args[@]}"
+eprefix=${PORTAGE_OVERRIDE_EPREFIX}
exit_status="0"
for version in ${PYTHON_VERSIONS}; do
- if [[ -x @PREFIX_PORTAGE_PYTHON@${version} ]]; then
+ if [[ $version =~ ^([[:digit:]]+\.[[:digit:]]+)-pypy-([[:digit:]]+\.[[:digit:]]+)$ ]] ; then
+ executable=${eprefix}/usr/bin/pypy-c${BASH_REMATCH[2]}
+ else
+ executable=${eprefix}/usr/bin/python${version}
+ fi
+ if [[ -x "${executable}" ]]; then
echo -e "${GOOD}Testing with Python ${version}...${NORMAL}"
- if ! @PREFIX_PORTAGE_PYTHON@${version} -Wd pym/portage/tests/runTests "$@" ; then
+ if ! "${executable}" -Wd pym/portage/tests/runTests "$@" ; then
echo -e "${BAD}Testing with Python ${version} failed${NORMAL}"
exit_status="1"
fi